<?php
/**
 * Template for displaying Archive pages
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */
 ?>
<?php get_header(); ?>

<?php $options = materialike_define_theme_options(); ?>

<div class="entries-content">

	<div class="summary summary-sub parallax">
		<div class="summary-row">
			<div class="summary-cell">
				<div class="inside">
					<h2 class="grandhead grandhead-<?php materialike_single_attr(); ?> title"><?php materialike_single_title(); ?></h2>
					<?php materialike_breadlist(); ?>
				</div>
			</div>
		</div>

<?php

	if ( is_category() ) :
		materialike_the_image( $options['categories_image']['value'], 'none', 'viewer-fixed parallax-object' );
	elseif ( is_tag() ) :
		materialike_the_image( $options['tags_image']['value'], 'none', 'viewer-fixed parallax-object' );
	elseif ( is_tax() ) :
		materialike_the_image( $options['terms_image']['value'], 'none', 'viewer-fixed parallax-object' );
	elseif ( is_date() ) :
		materialike_the_image( $options['archive_image']['value'], 'none', 'viewer-fixed parallax-object' );
	endif;

?>

	</div>

	<div class="inside">

<?php

	materialike_layout( 'before' );

	if ( have_posts() ) :

		while ( have_posts() ) : the_post();
			get_template_part( 'content/content', get_post_format() );
		endwhile;
	
		materialike_pagenation();

	else :

		get_template_part( 'content/content', 'notfound' );
	
	endif;

	materialike_layout( 'after' );

?>

	</div>

</div>

<?php get_footer(); ?>