<?php
/**
 * Sub Template File - Include Frontpage
 *
 * @package Materialike
 * @subpackage Materialike
 */
 ?>

<?php $options = materialike_define_theme_options(); ?>

<?php if ( 'no' != $options['main_show']['value'] ) : ?>

<section class="summary summary-main parallax">

	<div class="summary-row">
		<div class="summary-cell">
			<div class="inside">
				<h2 class="title"><?php

	if ( '' != $options['main_title']['value'] ) :
		echo esc_html( $options['main_title']['value'], '\n', '<br />' );

	else : 
		echo sprintf( __( 'Welcome to %s.', 'materialike' ), get_bloginfo( 'name' ) );

	endif; ?></h2>
				<p class="sentence"><?php

	if ( '' != $options['main_sentence']['value'] ) :
		echo materialike_replace_char( $options['main_sentence']['value'], '\n', '<br />' );

	else : 
		echo sprintf( __( 'This time, Thanks from visit the site. This site presents from %s.', 'materialike' ), get_bloginfo( 'name' ) );

	endif; ?></p>
				<?php if ( '' != $options['main_link']['value'] ) : ?><p class="link"><a href="<?php echo esc_url( $options['main_link']['value'] ); ?>" class="button ripple shade-level-3"><?php

		if ( '' != $options['main_button']['value'] ) :
			echo esc_html( $options['main_button']['value'] );

		else : 
			materialike_detail_name( 'show' );

		endif;

		?></a></p><?php endif; ?>
			</div>
		</div>
	</div>
	<?php

	if ( '' != $options['main_image']['value'] ) :

		if ( materialike_is_media_video( $options['main_image']['value'] ) )
			materialike_the_media( $options['main_image']['value'], 'loop', 'do' );

		else
			materialike_the_image( $options['main_image']['value'], 'none', 'viewer-fixed parallax-object' );

	endif; ?>

</section>

<?php endif; ?>

<?php if ( 'no' != $options['threepoint_show']['value'] ) : ?>

<div class="inside">

	<div class="rows rows-case-3">

		<?php for ( $i = 1; 3 >= $i; $i++ ) : ?>
		<article class="column threepoint">

			<div class="armored shade-level-3">

				<div class="eyecatch">
					<a<?php

	if ( '' != $options['threepoint_' . $i . '_link']['value'] ) :
		echo ' href="' . esc_url( $options['threepoint_' . $i . '_link']['value'] ) . '"';

	endif; ?> class="image viewerlink<?php

	if ( '' != $options['threepoint_' . $i . '_link']['value'] ) :
		if ( '' != $options['threepoint_' . $i . '_image']['value'] )
 			echo ' glasser';

 		else
 			echo ' overer';

	else :
		if ( '' != $options['threepoint_' . $i . '_image']['value'] )
 			echo ' glasser glasser-static';
		else
 			echo ' overer overer-static';

	endif; ?>"><?php

	if ( '' != $options['threepoint_' . $i . '_image']['value'] ) :
		materialike_the_image( $options['threepoint_' . $i . '_image']['value'], 'none' );
		if( '' != $options['threepoint_' . $i . '_link']['value'] ) :
			echo '<span class="image-text">' . materialike_detail_name() . '</span>';
		endif;

	else :
		echo '<span class="icon shade-text-level-3"></span>';

	endif; ?></a>
				</div>

				<div class="droptask">
					<h2 class="title"><?php

	if ( '' != $options['threepoint_' . $i . '_caption']['value'] ) :
		echo esc_html( $options['threepoint_' . $i . '_caption']['value'] );

	else : 
		if ( 1 == $i )
			_e( 'Feature', 'materialike' );
		elseif ( 2 == $i )
			_e( 'Guidance', 'materialike' );
		elseif ( 3 == $i )
			_e( 'Contact', 'materialike' );

	endif; ?></h2>

			<?php if ( '' != $options['threepoint_' . $i . '_link']['value'] ) : ?>
					<div class="dropmenu">
						<div class="dropmenu-opener"></div>
						<ul class="dropmenu-list armored shade-level-2">
							<li><a href="<?php echo esc_url( $options['threepoint_' . $i . '_link']['value'] ); ?>" class="detail-link ripple"><?php materialike_detail_name( true ); ?></a></li>
						</ul>
					</div>
			<?php endif; ?>

				</div>
				<p class="sentence"><?php

	if ( '' != $options['threepoint_' . $i . '_sentence']['value'] ) :
		echo materialike_replace_char( $options['threepoint_' . $i . '_sentence']['value'], '\n', '<br />' );

	else:
		if ( 1 == $i )
			_e( 'This site is send out our service and information.', 'materialike' );
		elseif ( 2 == $i )
			echo sprintf( __( 'This site is administrated by %s.', 'materialike' ), get_bloginfo( 'name' ) );
		elseif ( 3 == $i )
			echo sprintf( __( 'Contact about this site from &quot;%s&quot;.', 'materialike' ), get_bloginfo( 'admin_email' ) );

	endif; ?></p>

			<?php if ( '' != $options['threepoint_' . $i . '_link']['value'] ) : ?>
				<p class="more">
					<a href="<?php echo esc_url( $options['threepoint_' . $i . '_link']['value'] ); ?>" class="button button-icon button-icon-more shade-level-2 ripple"></a><br />
					<a href="<?php echo esc_url( $options['threepoint_' . $i . '_link']['value'] ); ?>" class="more-link more-link-with-button"><?php materialike_detail_name( true ); ?></a>
				</p>
			<?php endif; ?>

			</div>

		</article>
		<?php endfor; ?>

	</div>

</div>

<?php endif; ?>

<?php if ( 'no' != $options['cross_1_show']['value'] || 'no' != $options['cross_2_show']['value'] || 'no' != $options['cross_3_show']['value'] ) : ?>

<div class="inside">

	<?php for ( $i = 1; 4 >= $i; $i++ ) : ?>

		<?php if ( 'no' != $options['cross_' . $i . '_show']['value'] ) : ?>
	<article class="cross <?php echo 0 != $i % 2 ? 'cross-right' : 'cross-left'; ?>">

			<h2 class="title"><?php

	if ( '' != $options['cross_' . $i . '_title']['value'] ) :
		echo esc_html( $options['cross_' . $i . '_title']['value'] );

	else : 
		if ( 1 == $i )
			_e( 'From Author', 'materialike' );
		elseif ( 2 == $i )
			_e( 'Our Launch', 'materialike' );
		elseif ( 3 == $i )
			_e( 'About Service', 'materialike' );
		elseif ( 4 == $i )
			_e( 'Site Policy', 'materialike' );

	endif;

	?></h2>
			<?php

	if ( '' != $options['cross_' . $i . '_image']['value'] ) :
		materialike_the_image( $options['cross_' . $i . '_image']['value'], 'none' );

	else :
		echo '<div class="image"><div class="image-inner overer overer-static"><span class="icon shade-text-level-3"></span></div></div>';

	endif; ?>
			<p class="sentence"><?php

	if ( '' != $options['cross_' . $i . '_sentence']['value'] ) :
		echo materialike_replace_char( $options['cross_' . $i . '_sentence']['value'], '\n', '<br />' );

	else : 
		if ( 1 == $i )
			_e( 'Nice to meet you. I am a author on this site. We will send best information from this site for everybodys.', 'materialike' );
		elseif ( 2 == $i )
			_e( 'We are launched since 2018. Then we are making an effort.', 'materialike' );
		elseif ( 3 == $i )
			_e( 'We provide the maximum service that can do on through this site.', 'materialike' );
		elseif ( 4 == $i )
			_e( 'We think customer first, and we will strictly manage the information received.', 'materialike' );

	endif; ?></p>

	</article>
		<?php endif; ?>

	<?php endfor; ?>

</div>

<?php endif; ?>

<?php if ( 'no' != $options['entries_show']['value'] ) : ?>

<section class="topics shade-level-4">

	<h2 class="title"><?php echo materialike_get_recent_posts_title(); ?></h2>

	<div class="inside">

<?php

	if ( have_posts() ) : 

		while ( have_posts() ) : the_post();
			get_template_part( 'content/content', get_post_format() );
		endwhile;

	else :

		get_template_part( 'content/content', 'notfound' );
	
	endif;

?>

	</div>

<?php if ( ! empty( get_next_posts_link() ) ) : ?>

	<p class="more">
		<a href="<?php echo esc_url( next_posts( false ) ); ?>" class="button button-icon button-icon-more shade-level-2 ripple"></a><br />
		<a href="<?php echo esc_url( next_posts( false ) ); ?>" class="more-link more-link-with-button"><?php echo materialike_get_below_posts_title(); ?></a>
	</p>

<?php endif; ?>

</section>

<?php endif; ?>
