<?php
/**
 * Template for displaying home
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */
 ?>
<?php get_header(); ?>

<?php $options = materialike_define_theme_options(); ?>

<?php if ( 'show' == get_theme_mod( 'frontpage', 'show' ) && 2 > get_query_var( 'paged', 1 ) ) : ?>

<div class="entries-frontpage">

	<?php get_template_part( 'content/include', 'frontpage' ); ?>

<?php else : ?>

<div class="entries-home">

	<div class="summary summary-<?php echo 2 > get_query_var( 'paged', 1 ) ? 'plain' : 'sub'; ?> parallax">
		<div class="summary-row">
			<div class="summary-cell">
				<div class="inside">
					<h2 class="grandhead grandhead-<?php materialike_single_attr(); ?> title"><?php materialike_single_title( materialike_home_posts_title() ); ?></h2>

<?php

	if ( 2 > get_query_var( 'paged', 1 ) ) :
		materialike_breadlist();
	else :
		materialike_breadlist( '', 'outside', '', materialike_home_posts_title( false ) );
	endif;

?>

				</div>
			</div>
		</div>
		<?php materialike_the_image( $options['archive_image']['value'], 'none', 'viewer-fixed parallax-object' ); ?>
	</div>

	<div class="inside">

<?php

	materialike_layout( 'before' );

	if ( have_posts() ) :

		while ( have_posts() ) : the_post();
			get_template_part( 'content/content', get_post_format() );
		endwhile;
	
		materialike_pagenation();

	else :

		get_template_part( 'content/content', 'notfound' );
	
	endif;

	materialike_layout( 'after' );

?>

	</div>

<?php endif; ?>

</div>


<?php get_footer(); ?>