/**
 * Materialike Script Customize Viusal
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	var prosession = '#materialike-customize-preview-styles';
	var api = parent.window.wp.customize;

	wp.customize('visual_background_color', function(val){
		var ival = api.control('visual_control_background_color').container.find('.color-picker-hex').val();
		visual_background_color(ival);
		val.bind(function(nval){
			visual_background_color(nval);
		});
	});
	function visual_background_color(nval){
		var target = 'body';
		$(prosession).append(target + '{background-color:' + nval + ';}');
	}

	wp.customize('visual_title_color', function(val){
		var ival = api.control('visual_control_title_color').container.find('.color-picker-hex').val();
		visual_title_color(ival);
		val.bind(function(nval){
			visual_title_color(nval);
		});
	});
	function visual_title_color(nval){
		var target = '#header a';
		$(prosession).append(target + '{color:' + nval + ';}');
	}

	wp.customize('visual_first_color', function(val){
		var ival = api.control('visual_control_first_color').container.find('.color-picker-hex').val();
		visual_first_color(ival);
		val.bind(function(nval){
			visual_first_color(nval);
		});
	});
	function visual_first_color(nval){
		var target = 'body, input, button, select, textarea, .widget:not(.widget_calendar):not(.widget_recent_comments):not(.widget_text):not(.widget_text):not(.widget_custom_html):not(.widget_meta) a, .mimicry-input, .mimicry-select + .mimicry-select-decorate, .mimicry-check + .mimicry-check-decorate, .mimicry-check + .mimicry-check-decorate::before, .mimicry-file, .threepoint p.more a.more-link.more-link-with-button, .topics > p a.more-link.more-link-with-button, .entry-search p.more a.more-link.more-link-with-button';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = '::-webkit-input-placeholder';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = ':-ms-input-placeholder';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = '::-moz-placeholder';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = '::-placeholder';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = '.mimicry-select, .mimicry-textarea';
		$(prosession).append(target + '{border-color:' + customize_convert_rgba(nval, 0.2) + ';}');
	}

	wp.customize('visual_second_color', function(val){
		var ival = api.control('visual_control_second_color').container.find('.color-picker-hex').val();
		visual_second_color(ival);
		val.bind(function(nval){
			visual_second_color(nval);
		});
	});
	function visual_second_color(nval){
		var target = 'option, pre, blockquote, .armored, #header, #footer nav.navigation.navigation-footer-1-line a';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = 'pre, blockquote';
		$(prosession).append(target + '{border-color:' + customize_convert_rgba(nval, 0.2) + ';}');
		var target = '.loading .bar';
		$(prosession).append(target + '{border-color:' + customize_convert_rgba(nval, 0.25) + ';}');
		$(prosession).append(target + '{border-top-color:' + nval + ';}');
	}

	wp.customize('visual_symbol_first_color', function(val){
		var ival = api.control('visual_control_symbol_first_color').container.find('.color-picker-hex').val();
		visual_symbol_first_color(ival);
		val.bind(function(nval){
			visual_symbol_first_color(nval);
		});
	});
	function visual_symbol_first_color(nval){
		var target = 'a, .menunav-switch-open, #header nav.navigation > ul > li > a, #header nav.navigation > ul > li ul > li > a';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = '.overer::before, .summary, #footer';
		$(prosession).append(target + '{background-color:' + nval + ';}');
	}

	wp.customize('visual_symbol_first_dim_color', function(val){
		var ival = api.control('visual_control_symbol_first_dim_color').container.find('.color-picker-hex').val();
		visual_symbol_first_dim_color(ival);
		val.bind(function(nval){
			visual_symbol_first_dim_color(nval);
		});
	});
	function visual_symbol_first_dim_color(nval){
		var target = 'a:hover, a:focus';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = '.overer::after';
		$(prosession).append(target + '{background-color:' + nval + ';}');
	}

	wp.customize('visual_symbol_second_color', function(val){
		var ival = api.control('visual_control_symbol_second_color').container.find('.color-picker-hex').val();
		visual_symbol_second_color(ival);
		val.bind(function(nval){
			visual_symbol_second_color(nval);
		});
	});
	function visual_symbol_second_color(nval){
		var target = '.widget:not(.widget_calendar):not(.widget_recent_comments):not(.widget_text):not(.widget_text):not(.widget_html):not(.widget_meta) a:hover, .widget:not(.widget_calendar):not(.widget_recent_comments):not(.widget_text):not(.widget_text):not(.widget_html):not(.widget_meta) a:focus, .mimicry-check:checked + .mimicry-check-decorate, .mimicry-check:checked + .mimicry-check-decorate::before, .threepoint p.more a.more-link.more-link-with-button:hover, .threepoint p.more a.more-link.more-link-with-button:focus, .topics > p a.more-link.more-link-with-button:hover, .topics > p a.more-link.more-link-with-button:focus, .entry-search p.more a.more-link.more-link-with-button:hover, .entry-search p.more a.more-link.more-link-with-button:focus, #footer nav.navigation.navigation-footer-1-line a:hover, #footer nav.navigation.navigation-footer-1-line a:focus';
		$(prosession).append(target + '{color:' + nval + ';}');
		var target = '.button';
		$(prosession).append(target + '{background-color:' + nval + ';}');
		var target = '.mimicry-input .mimicry-input-decorate, .mimicry-select:focus, .mimicry-textarea:focus, .mimicry-file::after';
		$(prosession).append(target + '{border-color:' + nval + ';}');
	}

	wp.customize('visual_symbol_second_dim_color', function(val){
		var ival = api.control('visual_control_symbol_second_dim_color').container.find('.color-picker-hex').val();
		visual_symbol_second_dim_color(ival);
		val.bind(function(nval){
			visual_symbol_second_dim_color(nval);
		});
	});
	function visual_symbol_second_dim_color(nval){
		var target = '.button:hover, .button:focus';
		$(prosession).append(target + '{background-color:' + nval + ';}');
	}

	wp.customize('visual_highlight_block_color', function(val){
		var ival = api.control('visual_control_highlight_block_color').container.find('.color-picker-hex').val();
		visual_highlight_block_color(ival);
		val.bind(function(nval){
			visual_highlight_block_color(nval);
		});
	});
	function visual_highlight_block_color(nval){
		var target = 'option, .armored, .loading ,#header div.signature, #header nav.navigation, #header nav.navigation ul';
		$(prosession).append(target + '{background-color:' + nval + ';}');
	}

	wp.customize('visual_highlight_inline_color', function(val){
		var ival = api.control('visual_control_highlight_inline_color').container.find('.color-picker-hex').val();
		visual_highlight_inline_color(ival);
		val.bind(function(nval){
			visual_highlight_inline_color(nval);
		});
	});
	function visual_highlight_inline_color(nval){
		var target = '.button, .button:hover, .button:focus, .overer, .overer:hover, .overer:focus, .glasser span.image-text, .glasser span.post-image-text, .breadlist, .breadlist a, .breadlist a:hover, .breadlist a:focus, .summary, #footer, #footer a, #footer a:hover, #footer a:focus';
		$(prosession).append(target + '{color:' + nval + ';}');
	}

	wp.customize('visual_underground_color', function(val){
		var ival = api.control('visual_control_underground_color').container.find('.color-picker-hex').val();
		visual_underground_color(ival);
		val.bind(function(nval){
			visual_underground_color(nval);
		});
	});
	function visual_underground_color(nval){
		var target = '.ripple-wave, .menunav-overlay, .searchask-overlay, .viewer .viewer-inner';
		$(prosession).append(target + '{background-color:' + nval + ';}');
		var target = '.droptask div.dropmenu ul.dropmenu-list a:hover, .droptask div.dropmenu ul.dropmenu-list a:focus, .pagenation a:hover, .pagenation a:focus, .pager a:hover, .pager a:focus, .breaker a:hover, .breaker a:focus, .widget.widget_categories a:hover, .widget.widget_categories a:focus, .widget.widget_pages a:hover, .widget.widget_pages a:focus, .widget.widget_nav_menu > div a:hover, .widget.widget_nav_menu > div a:focus, .widget.widget_archive a:hover, .widget.widget_archive a:focus, .widget.widget_recent_entries a:hover, .widget.widget_recent_entries a:focus, .widget.widget_tag_cloud a:hover, .widget.widget_tag_cloud a:focus, .widget.widget_rss > ul a:hover, .widget.widget_rss > ul a:focus, .widget.widget_calendar a:hover, .widget.widget_calendar a:focus, .entry-content a.more-link:hover, .entry-content a.more-link:focus, .menunav-switch-open:hover, .menunav-switch-open:focus, #header nav.navigation > ul > li:hover > a, #header nav.navigation > ul > li:focus > a, #header nav.navigation > ul > li ul > li:hover > a, #header nav.navigation > ul > li ul > li:focus > a, #footer nav.navigation.navigation-footer a:hover, #footer nav.navigation.navigation-footer a:focus, #footer nav.navigation.navigation-footer-1-line a:hover, #footer nav.navigation.navigation-footer-1-line a:focus';
		$(prosession).append(target + '{background-color:' + customize_convert_rgba(nval, 0.04) + ';}');
		var target = '.shade-level-0';
		$(prosession).append(target + '{box-shadow:' + customize_snap_shadow(0, 0, 16, 0, nval, 0.5) + ';}');
		var target = '.shade-level-1';
		$(prosession).append(target + '{box-shadow:' + customize_snap_shadow(0, 0, 10, 0, nval, 0.5) + ';}');
		var target = '.shade-level-2';
		$(prosession).append(target + '{box-shadow:' + customize_snap_shadow(0, 1, 5, 0, nval, 0.4) + ';}');
		var target = '.shade-level-3';
		$(prosession).append(target + '{box-shadow:' + customize_snap_shadow(0, 1, 2, 0, nval, 0.25) + ';}');
		var target = '.shade-level-4';
		$(prosession).append(target + '{box-shadow:' + customize_snap_shadow(0, 4, 4, -4, nval, 0.4, true) + ';}');
		var target = '#header nav.navigation > ul > li ul';
		$(prosession).append(target + '{box-shadow:' + customize_snap_shadow(0, 1, 5, 0, nval, 0.4) + ';}');
		var target = '.shade-text-level-0';
		$(prosession).append(target + '{text-shadow:' + customize_snap_shadow(0, 0, 16, 0, nval, 0.5) + ';}');
		var target = '.shade-text-level-1';
		$(prosession).append(target + '{text-shadow:' + customize_snap_shadow(0, 0, 10, 0, nval, 0.5) + ';}');
		var target = '.shade-text-level-2';
		$(prosession).append(target + '{text-shadow:' + customize_snap_shadow(0, 1, 5, 0, nval, 0.4) + ';}');
		var target = '.shade-text-level-3';
		$(prosession).append(target + '{text-shadow:' + customize_snap_shadow(0, 4, 4, -4, nval, 0.25) + ';}');
	}

	wp.customize('visual_cation_color', function(val){
		var ival = api.control('visual_control_cation_color').container.find('.color-picker-hex').val();
		visual_cation_color(ival);
		val.bind(function(nval){
			visual_cation_color(nval);
		});
	});
	function visual_cation_color(nval){
		var target = '.required, .comment p.comment-awaiting-moderation';
		$(prosession).append(target + '{color:' + nval + ';}');
	}

	function customize_convert_rgba(color_code, opacity){
		var color = parseInt(color_code.substring(1, 3), 16) + ',' +
		            parseInt(color_code.substring(3, 5), 16) + ',' +
		            parseInt(color_code.substring(5, 7), 16) + ',' +
		            opacity;
		color = 'rgba(' + color + ')';

		return color;
	}

	function customize_snap_shadow(xrate, yrate, blurs, devia, color_code, opacity, inset){
		var shade = '';
		var shadow = xrate + 'px ' + yrate + 'px ' + blurs + 'px ' + ((devia != '') ? devia + 'px ': '');
		var rgba = customize_convert_rgba(color_code, opacity);

		shade = shadow + rgba + (inset ? ' inset': '');

		return shade;
	}

})(jQuery);
