<?php
/**
 * Materialike Customize functionality
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

/*
 * Screen Styles
 */
function materialike_customize_screen_styles() {

	$margin_left_sp = '-170px';
	$width_sp       = '336px';
	$height_sp      = '568px';

	$width_tab      = '774px';
	$height_tab     = '1024px';

	echo '
	<style id="materialike-customize-screen-style-size">
	.wp-customizer .preview-mobile .wp-full-overlay-main{
		margin-left: ' . $margin_left_sp . ';
		width: ' . $width_sp . ';
		height: ' . $height_sp . ';
	}
	.wp-customizer .preview-mobile-landscape .wp-full-overlay-main{
		width: ' . $height_sp . ';
		height: ' . $width_sp . ';
		top: 50%;
		left: 50%;
		-webkit-transform: translate(-50%, -50%);
		transform: translate(-50%, -50%);
	}
	.wp-customizer .preview-tablet .wp-full-overlay-main{
		width: ' . $width_tab . ';
		height: ' . $height_tab . ';
	}
	.wp-customizer .preview-tablet-landscape .wp-full-overlay-main {
		width: ' . $height_tab . ';
		height: ' . $width_tab . ';
		top: 50%;
		left: 50%;
		-webkit-transform: translate(-50%, -50%);
		transform: translate(-50%, -50%);
	}
	</style>';

	echo '
	<style id="materialike-customize-screen-style-items">
	#customize-control-visual_control_first_color,
	#customize-control-visual_control_second_color,
	#customize-control-visual_control_symbol_first_color,
	#customize-control-visual_control_symbol_first_dim_color,
	#customize-control-visual_control_symbol_second_color,
	#customize-control-visual_control_symbol_second_dim_color,
	#customize-control-visual_control_highlight_block_color,
	#customize-control-visual_control_highlight_inline_color,
	#customize-control-visual_control_underground_color,
	#customize-control-visual_control_cation_color
	{
		display: none !important;
	}
	</style>';

}
add_action( 'customize_controls_print_styles', 'materialike_customize_screen_styles' );

/*
 * Customize Items
 */
function materialike_customize_register( $wp_customize ) {

	$wp_customize->add_section( 'materialike_footer_image_settings', array(
		'title'       => __( 'Footer image', 'materialike' ),
		'priority'    => 60,
		'description' => __( '', 'materialike' ),
	) );

	$wp_customize->add_setting( 'footer_image', array(
		'default'   => '',
		'transport' => 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Cropped_Image_Control( $wp_customize, 'footer_image_control', array_merge( array(
			'label'       => __( 'Footer image', 'materialike' ),
			'section'     => 'materialike_footer_image_settings',
			'settings'    => 'footer_image',
			'priority'    => '10',
		), materialike_custom_footer_setting() ) )
	);

	$wp_customize->add_section( 'materialike_layout_settings', array(
		'title'       => __( 'Layout settings', 'materialike' ),
		'priority'    => 30,
		'description' => __( '', 'materialike' ),
	) );

	$wp_customize->add_setting( 'layout_preset', array(
		'default'   => 'sidebar-right',
		'transport' => 'refresh',
	) );
	$wp_customize->add_control(
		new WP_Customize_Control( $wp_customize, 'layout_preset_control', array(
			'label'    => __( 'Layout', 'materialike' ),
			'section'  => 'materialike_layout_settings',
			'settings' => 'layout_preset',
			'type'     => 'radio',
			'choices'  => materialike_customize_layout_preset_define_extract(),
			'priority' => '10',
		) )
	);

	$wp_customize->add_section( 'materialike_visual_settings', array(
		'title'       => __( 'Visual settings', 'materialike' ),
		'priority'    => 40,
		'description' => __( '', 'materialike' ),
	) );

	$wp_customize->add_setting( 'visual_preset', array(
		'default'           => 'default',
		'transport'         => 'postMessage',
		'sanitize_callback' => 'maybe_hash_hex_color',
	) );
	$wp_customize->add_control(
		new WP_Customize_Control( $wp_customize, 'visual_preset_control', array(
			'label'    => __( 'Color Preset', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_preset',
			'type'     => 'select',
			'choices'  => materialike_customize_visual_preset_define_extract(),
			'priority' => '10',
		) )
	);

	$wp_customize->add_setting( 'visual_background_color', array(
		'default'   => '#fafafa',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_background_color', array(
			'label'    => __( 'Body Background Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_background_color',
			'priority' => '100',
		) )
	);

	$wp_customize->add_setting( 'visual_title_color', array(
		'default'   => '#181818',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_title_color', array(
			'label'    => __( 'Site Title Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_title_color',
			'priority' => '110',
		) )
	);

	$wp_customize->add_setting( 'visual_first_color', array(
		'default'   => '#090909',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_first_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_first_color',
			'priority' => '200',
		) )
	);

	$wp_customize->add_setting( 'visual_second_color', array(
		'default'   => '#181818',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_second_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_second_color',
			'priority' => '210',
		) )
	);

	$wp_customize->add_setting( 'visual_symbol_first_color', array(
		'default'   => '#4285f4',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_symbol_first_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_symbol_first_color',
			'priority' => '220',
		) )
	);

	$wp_customize->add_setting( 'visual_symbol_first_dim_color', array(
		'default'   => '#2f63b7',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_symbol_first_dim_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_symbol_first_dim_color',
			'priority' => '221',
		) )
	);

	$wp_customize->add_setting( 'visual_symbol_second_color', array(
		'default'   => '#ff6d00',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_symbol_second_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_symbol_second_color',
			'priority' => '230',
		) )
	);

	$wp_customize->add_setting( 'visual_symbol_second_dim_color', array(
		'default'   => '#e05d00',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_symbol_second_dim_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_symbol_second_dim_color',
			'priority' => '231',
		) )
	);

	$wp_customize->add_setting( 'visual_highlight_block_color', array(
		'default'   => '#ffffff',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_highlight_block_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_highlight_block_color',
			'priority' => '240',
		) )
	);

	$wp_customize->add_setting( 'visual_highlight_inline_color', array(
		'default'   => '#ffffff',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_highlight_inline_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_highlight_inline_color',
			'priority' => '241',
		) )
	);

	$wp_customize->add_setting( 'visual_underground_color', array(
		'default'   => '#000000',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_underground_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_underground_color',
			'priority' => '250',
		) )
	);

	$wp_customize->add_setting( 'visual_cation_color', array(
		'default'   => '#ff0000',
		'transport' => 'postMessage',
	) );
	$wp_customize->add_control(
		new WP_Customize_Color_Control( $wp_customize, 'visual_control_cation_color', array(
			'label'    => __( 'Color', 'materialike' ),
			'section'  => 'materialike_visual_settings',
			'settings' => 'visual_cation_color',
			'priority' => '260',
		) )
	);

}
add_action( 'customize_register', 'materialike_customize_register' );

/*
 * Customize Save After
 */
function materialike_customize_save_after() {

	$styles = '
body
{
	background-color:' . get_theme_mod( 'visual_background_color', '#fafafa' ) . ';
}

#header a
{
	color:' . get_theme_mod( 'visual_title_color', '#181818' ) . ';
}

body,
input, button, select, textarea,
.widget:not(.widget_calendar):not(.widget_recent_comments):not(.widget_text):not(.widget_text):not(.widget_custom_html):not(.widget_meta) a,
.mimicry-input,
.mimicry-select + .mimicry-select-decorate,
.mimicry-check + .mimicry-check-decorate,
.mimicry-check + .mimicry-check-decorate::before,
.mimicry-file,
.threepoint p.more a.more-link.more-link-with-button,
.topics > p a.more-link.more-link-with-button,
.entry-search p.more a.more-link.more-link-with-button
{
	color:' . get_theme_mod( 'visual_first_color', '#090909' ) . ';
}

::-webkit-input-placeholder{
	color:' . get_theme_mod( 'visual_first_color', '#090909' ) . ';
}
:-ms-input-placeholder{
	color:' . get_theme_mod( 'visual_first_color', '#090909' ) . ';
}
::-moz-placeholder{
	color:' . get_theme_mod( 'visual_first_color', '#090909' ) . ';
}
::-placeholder{
	color:' . get_theme_mod( 'visual_first_color', '#090909' ) . ';
}

.mimicry-select,
.mimicry-textarea
{
	border-color: ' . materialike_customize_visual_convert_rgba( 'visual_first_color', get_theme_mod( 'visual_first_color', '#090909' ), 0.2 ) . '
}

option,
pre, blockquote,
.armored,
#header,
#footer nav.navigation.navigation-footer-1-line a
{
	color:' . get_theme_mod( 'visual_second_color', '#181818' ) . ';
}

pre, blockquote{
	border-color: ' . materialike_customize_visual_convert_rgba( 'visual_second_color', get_theme_mod( 'visual_second_color', '#181818' ), 0.2 ) . '
}

.loading .bar{
	border-color: ' . materialike_customize_visual_convert_rgba( 'visual_second_color', get_theme_mod( 'visual_second_color', '#181818' ), 0.25 ) . '
	border-top-color:' . get_theme_mod( 'visual_second_color', '#181818' ) . ';
}

a,
.menunav-switch-open,
#header nav.navigation > ul > li > a,
#header nav.navigation > ul > li ul > li > a
{
	color:' . get_theme_mod( 'visual_symbol_first_color', '#4285f4' ) . ';
}

.overer::before,
.summary,
#footer
{
	background-color:' . get_theme_mod( 'visual_symbol_first_color', '#4285f4' ) . ';
}

a:hover, a:focus {
	color:' . get_theme_mod( 'visual_symbol_first_dim_color', '#2f63b7' ) . ';
}

.overer::after
{
	background-color:' . get_theme_mod( 'visual_symbol_first_dim_color', '#2f63b7' ) . ';
}

.widget:not(.widget_calendar):not(.widget_recent_comments):not(.widget_text):not(.widget_text):not(.widget_html):not(.widget_meta) a:hover, .widget:not(.widget_calendar):not(.widget_recent_comments):not(.widget_text):not(.widget_text):not(.widget_html):not(.widget_meta) a:focus,
.mimicry-check:checked + .mimicry-check-decorate,
.mimicry-check:checked + .mimicry-check-decorate::before,
.threepoint p.more a.more-link.more-link-with-button:hover, .threepoint p.more a.more-link.more-link-with-button:focus,
.topics > p a.more-link.more-link-with-button:hover, .topics > p a.more-link.more-link-with-button:focus,
.entry-search p.more a.more-link.more-link-with-button:hover, .entry-search p.more a.more-link.more-link-with-button:focus,
#footer nav.navigation.navigation-footer-1-line a:hover, #footer nav.navigation.navigation-footer-1-line a:focus
{
	color:' . get_theme_mod( 'visual_symbol_second_color', '#ff6d00' ) . ';
}

.button
{
	background-color:' . get_theme_mod( 'visual_symbol_second_color', '#ff6d00' ) . ';
}

.button:hover, .button:focus
{
	background-color:' . get_theme_mod( 'visual_symbol_second_dim_color', '#e05d00' ) . ';
}

.mimicry-input .mimicry-input-decorate,
.mimicry-select:focus,
.mimicry-textarea:focus,
.mimicry-file::after
{
	border-color:' . get_theme_mod( 'visual_symbol_second_color', '#ff6d00' ) . ';
}

option,
.armored,
.loading,
#header div.signature,
#header nav.navigation,
#header nav.navigation ul
{
	background-color:' . get_theme_mod( 'visual_highlight_block_color', '#ffffff' ) . ';
}

.button,
.button:hover, .button:focus,
.overer,
.overer:hover, .overer:focus,
.glasser span.image-text,
.glasser span.post-image-text,
.breadlist,
.breadlist a,
.breadlist a:hover, .breadlist a:focus,
.summary,
#footer,
#footer a,
#footer a:hover, #footer a:focus
{
	color:' . get_theme_mod( 'visual_highlight_inline_color', '#ffffff' ) . ';
}

.ripple-wave,
.menunav-overlay,
.searchask-overlay,
.viewer .viewer-inner
{
	background-color: #000000;
}

.droptask div.dropmenu ul.dropmenu-list a:hover, .droptask div.dropmenu ul.dropmenu-list a:focus,
.pagenation a:hover, .pagenation a:focus,
.pager a:hover,
.pager a:focus,
.breaker a:hover,
.breaker a:focus,
.widget.widget_categories a:hover, .widget.widget_categories a:focus, .widget.widget_pages a:hover, .widget.widget_pages a:focus, .widget.widget_nav_menu > div a:hover, .widget.widget_nav_menu > div a:focus, .widget.widget_archive a:hover, .widget.widget_archive a:focus, .widget.widget_recent_entries a:hover, .widget.widget_recent_entries a:focus, .widget.widget_tag_cloud a:hover, .widget.widget_tag_cloud a:focus, .widget.widget_rss > ul a:hover, .widget.widget_rss > ul a:focus, .widget.widget_calendar a:hover, .widget.widget_calendar a:focus,
.entry-content a.more-link:hover, .entry-content a.more-link:focus,
.menunav-switch-open:hover, .menunav-switch-open:focus,
#header nav.navigation > ul > li:hover > a, #header nav.navigation > ul > li:focus > a,
#header nav.navigation > ul > li ul > li:hover > a, #header nav.navigation > ul > li ul > li:focus > a,
#footer nav.navigation.navigation-footer a:hover, #footer nav.navigation.navigation-footer a:focus,
#footer nav.navigation.navigation-footer-1-line a:hover, #footer nav.navigation.navigation-footer-1-line a:focus
{
	background-color:' . materialike_customize_visual_convert_rgba( 'visual_underground_color', get_theme_mod( 'visual_underground_color', '#000000' ), 0.04 ) . ';
}

.shade-level-0
{
	box-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 0, 16, 0, get_theme_mod( 'visual_underground_color', '#000000' ), 0.5 ) . ';
}
.shade-level-1
{
	box-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 0, 10, 0, get_theme_mod( 'visual_underground_color', '#000000' ), 0.5 ) . ';
}
.shade-level-2
{
	box-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 1, 5, 0, get_theme_mod( 'visual_underground_color', '#000000' ), 0.4 ) . ';
}
.shade-level-3
{
	box-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 1, 2, 0, get_theme_mod( 'visual_underground_color', '#000000' ), 0.25 ) . ';
}
.shade-level-4
{
	box-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 4, 4, -4, get_theme_mod( 'visual_underground_color', '#000000' ), 0.25, 'inset' ) . ';
}
#header nav.navigation > ul > li ul
{
	box-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 1, 5, 0, get_theme_mod( 'visual_underground_color', '#000000' ), 0.4 ) . ';
}

.shade-text-level-0
{
	text-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 0, 16, null, get_theme_mod( 'visual_underground_color', '#000000' ), 0.5 ) . ';
}
.shade-text-level-1
{
	text-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 0, 10, null, get_theme_mod( 'visual_underground_color', '#000000' ), 0.5 ) . ';
}
.shade-text-level-2
{
	text-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 1, 5, null, get_theme_mod( 'visual_underground_color', '#000000' ), 0.4 ) . ';
}
.shade-text-level-3
{
	text-shadow:' . materialike_customize_visual_snap_shadow( 'visual_underground_color', 0, 1, 2, null, get_theme_mod( 'visual_underground_color', '#000000' ), 0.25 ) . ';
}

.required,
.comment p.comment-awaiting-moderation
{
	color:' . get_theme_mod( 'visual_cation_color', '#ff0000' ) . ';
}
';

	$styles = preg_replace( '/\r\n|\n|\r|\t/', '', $styles );
	//$styles = '';

	set_theme_mod( 'visual_styles', $styles );

}
add_action( 'customize_save_after', 'materialike_customize_save_after' );

/*
 * Enqueue Live Script
 */
function materialike_customize_enqueue() {

	wp_enqueue_script(
		'materialike-customize-preview',
		get_template_directory_uri() . '/inc/js/theme-customize.js',
		array( 'jquery', 'customize-preview' ),
		'',
		true
	);
	
}
add_action( 'customize_preview_init', 'materialike_customize_enqueue' );

/*
 * Enqueue Live Script of Controls Preset
 */
function materialike_customize_controls_enqueue() {

	wp_enqueue_script(
		'materialike-theme-customize-visual',
		get_template_directory_uri() . '/inc/js/theme-customize-visual.js',
		array( 'customize-controls', 'iris', 'underscore', 'wp-util' ),
		'',
		true
	);
	wp_localize_script( 'materialike-theme-customize-visual', 'visual_preset', materialike_customize_visual_preset_define() );

}
add_action( 'customize_controls_enqueue_scripts', 'materialike_customize_controls_enqueue' );

/*
 * Show Frontend Styles
 */
function materialike_customize_styles() {

	$styles = '<link rel="stylesheet" id="materialike-theme-css" href="' . get_template_directory_uri() . '/inc/theme-css.php' . '" type="text/css" media="all" />';
	
	if( is_customize_preview() )
		$styles .= '<style type="text/css" id="materialike-customize-preview-styles"></style>';

	$styles = preg_replace( '/\r\n|\n|\r|\t/', '', $styles );
	
	echo $styles;

}
add_action( 'wp_head', 'materialike_customize_styles' );

/*
 * Show Frontend Styles
 */
function materialike_customize_menu_reflesh() {
	exit;
}
add_action( 'customize_render_partials_response', 'materialike_customize_menu_reflesh' );

/*
 * Visual Preset Define
 */
function materialike_customize_visual_preset_define() {

	$presets = array(
		'default' => array(
			'label'  => __( 'Default', 'materialike' ),
			'colors' => array(
				'background_color'        => '#fafafa',
				'title_color'             => '#181818',
				'first_color'             => '#090909',
				'second_color'            => '#181818',
				'symbol_first_color'      => '#4285f4',
				'symbol_first_dim_color'  => '#2f63b7',
				'symbol_second_color'     => '#ff6d00',
				'symbol_second_dim_color' => '#e05d00',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'dark' => array(
			'label'  => __( 'Dark', 'materialike' ),
			'colors' => array(
				'background_color'        => '#1f1f1f',
				'title_color'             => '#ececec',
				'first_color'             => '#f3f3f3',
				'second_color'            => '#dddddd',
				'symbol_first_color'      => '#06a09e',
				'symbol_first_dim_color'  => '#038482',
				'symbol_second_color'     => '#e02657',
				'symbol_second_dim_color' => '#ba1f48',
				'highlight_block_color'   => '#2c2c2c',
				'highlight_inline_color'  => '#dddddd',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'chic' => array(
			'label'  => __( 'Chic', 'materialike' ),
			'colors' => array(
				'background_color'        => '#efefef',
				'title_color'             => '#5f5f5f',
				'first_color'             => '#000000',
				'second_color'            => '#5f5f5f',
				'symbol_first_color'      => '#0d0d0d',
				'symbol_first_dim_color'  => '#000000',
				'symbol_second_color'     => '#ee0000',
				'symbol_second_dim_color' => '#cc0000',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'silver' => array(
			'label'  => __( 'Silver', 'materialike' ),
			'colors' => array(
				'background_color'        => '#f2f2f2',
				'title_color'             => '#545454',
				'first_color'             => '#4f4f4f',
				'second_color'            => '#666666',
				'symbol_first_color'      => '#999999',
				'symbol_first_dim_color'  => '#767676',
				'symbol_second_color'     => '#aaaaaa',
				'symbol_second_dim_color' => '#929292',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'red' => array(
			'label'  => __( 'Red', 'materialike' ),
			'colors' => array(
				'background_color'        => '#fff9f9',
				'title_color'             => '#545454',
				'first_color'             => '#545454',
				'second_color'            => '#353535',
				'symbol_first_color'      => '#c41d1d',
				'symbol_first_dim_color'  => '#9e1717',
				'symbol_second_color'     => '#f74627',
				'symbol_second_dim_color' => '#db3e23',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'green' => array(
			'label'  => __( 'Green', 'materialike' ),
			'colors' => array(
				'background_color'        => '#f7fff9',
				'title_color'             => '#545454',
				'first_color'             => '#545454',
				'second_color'            => '#353535',
				'symbol_first_color'      => '#00af26',
				'symbol_first_dim_color'  => '#009921',
				'symbol_second_color'     => '#9fcc00',
				'symbol_second_dim_color' => '#8bb200',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'cobalt' => array(
			'label'  => __( 'Cobalt', 'materialike' ),
			'colors' => array(
				'background_color'        => '#f9fbff',
				'title_color'             => '#545454',
				'first_color'             => '#545454',
				'second_color'            => '#353535',
				'symbol_first_color'      => '#1665af',
				'symbol_first_dim_color'  => '#105596',
				'symbol_second_color'     => '#0d819b',
				'symbol_second_dim_color' => '#087189',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'orange' => array(
			'label'  => __( 'Orange', 'materialike' ),
			'colors' => array(
				'background_color'        => '#fff9f7',
				'title_color'             => '#545454',
				'first_color'             => '#545454',
				'second_color'            => '#353535',
				'symbol_first_color'      => '#f46d13',
				'symbol_first_dim_color'  => '#d35e10',
				'symbol_second_color'     => '#dd4900',
				'symbol_second_dim_color' => '#c14000',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
		'pink' => array(
			'label'  => __( 'Pink', 'materialike' ),
			'colors' => array(
				'background_color'        => '#ffeff3',
				'title_color'             => '#545454',
				'first_color'             => '#545454',
				'second_color'            => '#353535',
				'symbol_first_color'      => '#ff26a8',
				'symbol_first_dim_color'  => '#d11f8a',
				'symbol_second_color'     => '#ff0a4b',
				'symbol_second_dim_color' => '#cc083c',
				'highlight_block_color'   => '#ffffff',
				'highlight_inline_color'  => '#ffffff',
				'underground_color'       => '#000000',
				'cation_color'            => '#ff0000',
			),
		),
	);
	
	return $presets;

}

/*
 * Visual Preset Define Extract
 */
function materialike_customize_visual_preset_define_extract() {

	$colors = materialike_customize_visual_preset_define();
	$return = array();

	foreach($colors as $key => $val) 
		$return[$key] = $val['label'];

	return $return;

}

/*
 * Layout Preset Define
 */
function materialike_customize_layout_preset_define() {

	$presets = array(
		'sidebar-right' => array(
			'label' => __( 'Right Sidebar', 'materialike' ),
		),
		'sidebar-left' => array(
			'label' => __( 'Left Sidebar', 'materialike' ),
		),
		'sidebar-none' => array(
			'label' => __( 'No Sidebar', 'materialike' ),
		),
	);
	
	return $presets;

}

/*
 * Layout Preset Define Extract
 */
function materialike_customize_layout_preset_define_extract() {

	$layout = materialike_customize_layout_preset_define();
	$return = array();

	foreach($layout as $key => $val) 
		$return[$key] = $val['label'];

	return $return;

}

/*
 * Convert RGBA
 */
function materialike_customize_visual_convert_rgba( $branch = 'visual_names', $color_code = '#ffffff', $opacity = 0.5 ) {

	$return = hexdec( substr( get_theme_mod( $branch, $color_code ), 1, 2 ) ) . ',' .
	          hexdec( substr( get_theme_mod( $branch, $color_code ), 3, 2 ) ) . ',' .
			  hexdec( substr( get_theme_mod( $branch, $color_code ), 5, 2 ) ) . ',' .
  			  $opacity;

	$return = 'rgba(' . $return . ')';

	return $return;

}

/*
 * Snap Shadow
 */
function materialike_customize_visual_snap_shadow( $branch = 'visual_names', $xrate = 0, $yrate = 0, $blur = 0, $devia = null, $color_code = '#ffffff', $opacity = 0.5, $inset = 'none' ) {

	$return = '';
	$shadow = $xrate . 'px ' . $yrate . 'px ' . $blur . 'px ' . ( isset($devia) ? $devia . 'px ' : '' );
	$rgba = materialike_customize_visual_convert_rgba( $branch, $color_code, $opacity );

	$return = $shadow . $rgba . ( 'inset' == $inset ? ' inset' : '' );

	return $return;

}
