<?php
/**
 * Materialike Theme Options
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */
 ?>

<style type="text/css">
input[type="text"], textarea, select{
	width: 100%;
}
textarea{
	height: 10.0em;
}
div.wrap-theme-options{
	max-width: 840px;
}
div.materialike-media-display img{
	max-width: 480px;
}
ul.ui-tabs-menu{
	border-style: solid;
	border-width: 0 0 1px 0;
	border-color: #cccccc;
}
ul.ui-tabs-menu li{
	margin: 0;
	border-style: solid;
	border-width: 1px 1px 0 1px;
	border-color: #cccccc;
	border-radius: 3px 3px 0 0;
	display: inline-block;
}
ul.ui-tabs-menu li a{
	padding: 5px;
	background-color: #cccccc;
	display: block;
	color: #333333;
	text-decoration: none;
}
ul.ui-tabs-menu li.ui-state-active a{
	background-color: transparent;
}
p.headline{
	font-size: 1.075em !important;
	font-weight: 500;
}
p.headline-sub{
	font-size: 1.025em !important;
}

div.wrap-theme-options{
	max-width: 920px;
}
div.materialike-media-display{
	margin-top: 15px;
	border-width: 1px;
	border-style: dotted;
	border-color: #dddddd;
	padding-left: 10px;
	padding-right: 10px;
	text-align: center;
}
input.materialike-media-button, input.materialike-media-button-delete{
	font-size: 13px;
	cursor: pointer;
}
table.form-table th,
table.form-table td{
	border-width: 1px 0 0 0;
	border-style: solid;
	border-color: #dddddd;
}
@media screen and (max-width:782px){
	table.form-table th{
		border-width: 0;
		padding-top: 20px;
		padding-bottom: 20px;
		font-size: 18px;
	}
	table.form-table td{
		padding-top: 20px;
		padding-bottom: 20px;
	}
}
table.form-table tr:first-child th,
table.form-table tr:first-child td{
	border-width: 0;
}
table.form-table td p{
	margin-top: 15px;
	margin-bottom: 10px;
}
table.form-table td p:first-child{
	margin-top: 2px;
}
table.points-table{
	margin-top: 15px;
	margin-left: -10px;
	margin-right: -10px;
	width: 100%;
	padding: 0;
}
@media screen and (max-width:782px){
	table.points-table{
		margin-left: 0;
		margin-right: 0;
	}
}
table.points-table div.materialike-media-display img{
	width: 100%;
	max-width: 100%;
	height: 136px;
	object-fit: cover;
}
@media screen and (max-width:782px){
	table.points-table div.materialike-media-display img{
		width: auto;
		max-width: 100%;
		height: auto;
		object-fit: fill;
	}
}
table.points-table th,
table.points-table td{
	border-width: 0;
}
table.points-table td{
	padding: 10px;
	width: 33.33%;
	vertical-align: top;
}
@media screen and (max-width:782px){
	table.points-table td{
		border-width: 1px 0 0 0 !important;
		border-style: solid;
		border-color: #dddddd;
		padding: 20px;
		padding-left: 0;
		padding-right: 0;
		width: auto;
	}
}

div.cross-row{
	margin-top: 20px;
	border-width: 1px 0 0 0;
	border-style: solid;
	border-color: #dddddd;
	padding-top: 20px;
}
div.cross-row:first-child{
	margin-top: 0;
	padding-top: 0;
	border-width: 0;
}
dl.cross-cell{
	margin: 0;
	padding: 0;
	margin-top: 15px;
	position: relative;
}
dl.cross-cell div.materialike-media-display img{
	width: 100%;
	max-width: 100%;
	height: 128px;
	object-fit: cover;
}
@media screen and (max-width:782px){
	dl.cross-cell div.materialike-media-display img{
		width: auto;
		max-width: 100%;
		height: auto;
		object-fit: fill;
	}
}
dl.cross-cell dt, dl.cross-cell dd{
	margin: 0;
}
dl.cross-cell dt + dd{
	width: 50%;
	position: absolute;
	top: 0;
}
@media screen and (max-width:782px){
	dl.cross-cell dt + dd{
		margin-top: 15px;
		width: auto;
		position: static;
	}
}
dl.cross-cell.cross-cell-left dt, dl.cross-cell.cross-cell-left dd{
	margin-left: 50%;
	padding-left: 20px;
}
@media screen and (max-width:782px){
	dl.cross-cell.cross-cell-left dt, dl.cross-cell.cross-cell-left dd{
		margin-left: 0;
		padding-left: 0;
	}
}
dl.cross-cell.cross-cell-left dt + dd{
	margin-left: 0;
	padding-left: 0;
	left: 0;
}
dl.cross-cell.cross-cell-right dt, dl.cross-cell.cross-cell-right dd{
	margin-right: 50%;
	padding-right: 20px;
}
@media screen and (max-width:782px){
	dl.cross-cell.cross-cell-right dt, dl.cross-cell.cross-cell-right dd{
		margin-right: 0;
		padding-right: 0;
	}
}
dl.cross-cell.cross-cell-right dt + dd{
	margin-right: 0;
	padding-right: 0;
	right: 0;
}
@media screen and (max-width:782px){
	dl.cross-cell.cross-cell-right dt, dl.cross-cell.cross-cell-right dd{
		margin-right: 0;
		padding-right: 0;
	}
}
</style>

<script type="text/javascript">
(function($){

	$(document).ready(function(){
        $('.ui-tabs').tabs();
        $('.select-by').selectby();
	});

})(jQuery);
</script>

<div class="wrap wrap-theme-options">
	<form name="<?php echo $_GET['page']; ?>" method="post" action="themes.php?page=<?php echo $_GET['page']; ?>">
		<h3 class="title-theme-options"><?php _e( 'Theme Options', 'materialike' ); ?></h3>

		<div class="ui-tabs">
			<ul class="ui-tabs-menu">
				<li><a href="#ui-tabs-common"><?php _e( 'Common', 'materialike' ) ?></a></li>
				<li><a href="#ui-tabs-frontpage"><?php _e( 'Frontpage', 'materialike' ) ?></a></li>
				<li><a href="#ui-tabs-other"><?php _e( 'Other', 'materialike' ) ?></a></li>
			</ul>

			<div id="ui-tabs-common">
				<table class="form-table form-table-theme-options">
					<tr>
						<th><?php _e( 'Head Script', 'materialike' ); ?></th>
						<td><?php materialike_set_textarea( $define['headscript']['name'], $define['headscript']['value'] ); ?></td>
					</tr>
					<tr>
						<th><?php _e( 'Header Description', 'materialike' ); ?></th>
						<td>
							<?php materialike_set_input( $define['description']['name'], $define['description']['value'] ); ?>
							<p><?php _e( 'Show this?', 'materialike' ); ?></p>
							<?php materialike_set_select( array( 'show' => 'Yes', 'none' => 'No', ), $define['description_show']['name'], $define['description_show']['value'] ); ?>
						</td>
					</tr>
					<tr>
						<th><?php _e( 'Site Title', 'materialike' ); ?></th>
						<td>
							<p><?php _e( 'Show site title after logo?', 'materialike' ); ?></p>
							<?php materialike_set_select( array( 'show' => 'Yes', 'none' => 'No' ), $define['logoafter']['name'], $define['logoafter']['value'] ); ?>
						</td>
					</tr>
					<tr>
						<th><?php _e( 'Site About', 'materialike' ); ?></th>
						<td><?php materialike_set_textarea( $define['about']['name'], $define['about']['value'] ); ?></td>
					</tr>
					<tr>
						<th><?php _e( 'Copyright', 'materialike' ); ?></th>
						<td><?php materialike_set_input( $define['copyright']['name'], $define['copyright']['value'] ); ?></td>
					</tr>
				</table>
			</div>

			<div id="ui-tabs-frontpage">
				<table class="form-table form-table-theme-options">
					<tr>
						<th><?php _e( 'Show Frontpage', 'materialike' ); ?></th>
						<td><?php materialike_set_select( array( 'show' => 'Show', 'archive' => 'Show Archive' ), $define['frontpage']['name'], $define['frontpage']['value'] ); ?></td>
					</tr>
					<tr>
						<th><?php _e( 'Main Image', 'materialike' ); ?></th>
						<td>
							<p class="headline-sub"><?php _e( 'Image or Movie', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['main_image']['name'], $define['main_image']['value'], 'image,video' ); ?>
							<p class="headline-sub"><?php _e( 'Title', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['main_title']['name'], $define['main_title']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'Sentence', 'materialike' ); ?></p>
							<?php materialike_set_textarea( $define['main_sentence']['name'], $define['main_sentence']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'URL', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['main_link']['name'], $define['main_link']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'Button', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['main_button']['name'], $define['main_button']['value'] ); ?>
						</td>
					</tr>
					<tr>
						<th><?php _e( '3 Points', 'materialike' ); ?></th>
						<td>
							<p class="headline-sub"><?php _e( 'Show this block?', 'materialike' ); ?></p>
							<?php materialike_set_select( array( 'yes' => 'Yes', 'no' => 'No', ), $define['threepoint_show']['name'], $define['threepoint_show']['value'] ); ?>
							<table class="points-table">
								<tr>
								<?php for ( $i = 1; 3 >= $i; $i++ ) : ?>
									<td>
										<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
										<?php materialike_set_media_upload( $define['threepoint_' . $i . '_image']['name'], $define['threepoint_' . $i . '_image']['value'] ); ?>
										<p class="headline-sub"><?php _e( 'Caption', 'materialike' ); ?></p>
										<?php materialike_set_input( $define['threepoint_' . $i . '_caption']['name'], $define['threepoint_' . $i . '_caption']['value'] ); ?>
										<p class="headline-sub"><?php _e( 'Sentence', 'materialike' ); ?></p>
										<?php materialike_set_textarea( $define['threepoint_' . $i . '_sentence']['name'], $define['threepoint_' . $i . '_sentence']['value'] ); ?>
										<p class="headline-sub"><?php _e( 'URL', 'materialike' ); ?></p>
										<?php materialike_set_input( $define['threepoint_' . $i . '_link']['name'], $define['threepoint_' . $i . '_link']['value'] ); ?>
									</td>
								<?php endfor; ?>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<th><?php _e( 'Cross Block', 'materialike' ); ?></th>
						<td>
						<?php for ( $i = 1; 4 >= $i; $i++ ) : ?>
							<div class="cross-row">
								<p class="headline-sub"><?php _e( 'Show this block?', 'materialike' ); ?></p>
								<?php materialike_set_select( array( 'yes' => 'Yes', 'no' => 'No', ), $define['cross_' . $i . '_show']['name'], $define['cross_' . $i . '_show']['value'] ); ?>
								<dl class="cross-cell <?php echo 0 != $i % 2 ? 'cross-cell-right' : 'cross-cell-left' ; ?>">
									<dt>
										<p class="headline-sub"><?php _e( 'Title', 'materialike' ); ?></p>
										<?php materialike_set_input( $define['cross_' . $i . '_title']['name'], $define['cross_' . $i . '_title']['value'] ); ?>
									</dt>
									<dd>
										<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
										<?php materialike_set_media_upload( $define['cross_' . $i . '_image']['name'], $define['cross_' . $i . '_image']['value'] ); ?>
									</dd>
									<dd>
										<p class="headline-sub"><?php _e( 'Sentence', 'materialike' ); ?></p>
										<?php materialike_set_textarea( $define['cross_' . $i . '_sentence']['name'], $define['cross_' . $i . '_sentence']['value'] ); ?>
									</dd>
								</dl>
							</div>
						<?php endfor; ?>
						</td>
					</tr>
					<tr>
						<th><?php _e( 'Entries Setting', 'materialike' ); ?></th>
						<td>
							<p class="headline-sub"><?php _e( 'Show this block?', 'materialike' ); ?></p>
							<?php materialike_set_select( array( 'yes' => 'Yes', 'no' => 'No', ), $define['entries_show']['name'], $define['entries_show']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'Entries Title', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['entries_title']['name'], $define['entries_title']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'Below Entries Title', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['below_entries_title']['name'], $define['below_entries_title']['value'] ); ?>
						</td>
					</tr>
				</table>
			</div>

			<div id="ui-tabs-other">
				<table class="form-table form-table-theme-options">
					<tr>
						<th><?php _e( 'Sub Page Heading', 'materialike' ); ?></th>
						<td>
							<p class="headline"><?php _e( 'Single Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['post_image']['name'], $define['post_image']['value'] ); ?>
							<p class="headline"><?php _e( 'Page Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['page_image']['name'], $define['page_image']['value'] ); ?>
							<p class="headline"><?php _e( 'Categories Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['categories_image']['name'], $define['categories_image']['value'] ); ?>
							<p class="headline"><?php _e( 'Tags Heading', 'materialike' ); ?></p>
							<p><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['tags_image']['name'], $define['tags_image']['value'] ); ?>
							<p class="headline"><?php _e( 'Terms Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['terms_image']['name'], $define['terms_image']['value'] ); ?>
							<p class="headline"><?php _e( 'Attachment Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['attachment_image']['name'], $define['attachment_image']['value'] ); ?>
							<p class="headline"><?php _e( 'Archive Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['archive_image']['name'], $define['archive_image']['value'] ); ?>
							<p class="headline"><?php _e( 'Search Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['search_image']['name'], $define['search_image']['value'] ); ?>
							<p class="headline"><?php _e( '404 Heading', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Image', 'materialike' ); ?></p>
							<?php materialike_set_media_upload( $define['404_image']['name'], $define['404_image']['value'] ); ?>
						</td>
					</tr>
					<tr>
						<th><?php _e( 'Post Addition', 'materialike' ); ?></th>
						<td>
							<p class="headline"><?php _e( 'After More', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Scripts etc', 'materialike' ); ?></p>
							<?php materialike_set_textarea( $define['post_more']['name'], $define['post_more']['value'] ); ?>
							<p class="headline"><?php _e( 'After End', 'materialike' ); ?></p>
							<p class="headline-sub"><?php _e( 'Scripts etc', 'materialike' ); ?></p>
							<?php materialike_set_textarea( $define['post_end']['name'], $define['post_end']['value'] ); ?>
						</td>
					</tr>
					<tr>
						<th><?php _e( 'Vocabulary Setting', 'materialike' ); ?></th>
						<td>
							<p class="headline-sub"><?php _e( 'more', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['voc_more']['name'], $define['voc_more']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'Detail', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['voc_detail']['name'], $define['voc_detail']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'Read more', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['voc_readmore']['name'], $define['voc_readmore']['value'] ); ?>
							<p class="headline-sub"><?php _e( 'What would you like to search?', 'materialike' ); ?></p>
							<?php materialike_set_input( $define['voc_whatsearch']['name'], $define['voc_whatsearch']['value'] ); ?>

						</td>
					</tr>
				</table>
			</div>

		</div>
		<p class="submit"><input type="submit" class="button button-primary" value="<?php _e( 'Save', 'materialike' ); ?>" /></p>
	</form>
</div>
