/**
 * Materialike Script AnchorScroll
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.anchorScroll = function(options){
		var option = {
			easing: 'swing',
			duration: 500,
			correct: '#header'
		};
		var static = {};
		var config = $.extend(option, options);
		var inc = $(this);

		var anchorScroll = (function(){
			return{
				init: function(){
					this.clip();
				},
				clip: function(mode, ctrl){
					inc.bind('click', function(){
						var r = $(this).attr('href');
						var c = 0;
						if(r.indexOf('#') >= 0){
							r = r.substring(r.indexOf('#'), r.length);
							if($(config.correct) !== '') c = $(config.correct).outerHeight();
							if($(r).size() > 0){
								$('body,html').animate({
									scrollTop: $(r).offset().top - c
								},{
									'easing': config.easing,
									'duration':  config.duration,
								});
								return false;
							}
						}
					});
				},
			};
		})();

		anchorScroll.init();

		return(this);
	};

})(jQuery);
