/**
 * Materialike Script Header
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.header = function(options){
		var option = {
			signature: '.signature',
			navigation: '.navigation',
			spacing: '#contents',
			breakpoint: 1024,
		};
		var static = {
			flow: 'header-flow',
			origin: 'header-origin',
			signature: 'header-children-signature',
			navigation: 'header-children-navigation',
			spacing: 'header-spacing',
			style: 'header-style',
		};
		var config = $.extend(option, options);
		var inc = $(this), win = $(window), vector = 0;

		var header = (function(){
			return{
				init: function(){
					vector = win.scrollTop();

					inc.addClass(static.origin)
						.prepend('<style type="text/css" id="' + static.style + '" />');
					inc.children(config.signature).addClass(static.signature);
					inc.children(config.navigation).addClass(static.navigation);

					$(config.spacing).addClass(static.spacing);

					this.style();
					this.clip();
				},
				clip: function(){
					win.bind({
						resize: function(){
							header.style();
						},
						scroll: function(){
							if(win.scrollTop() >= vector && win.scrollTop() > 0){
								$('.' + static.origin).addClass(static.flow);
							}else{
								$('.' + static.origin).removeClass(static.flow);
							}
							vector = win.scrollTop();
						},
					});
				},
				style: function(){
					var style = [
						'\n',
						'.' + static.origin + '{' + '\n',
						'  padding-top: ' + $('.' + static.signature).outerHeight() + 'px;' + '\n',
						'}' + '\n',
						'.' + static.origin + '{' + '\n',
						'  transform: translateY(0);' + '\n',
						'}' + '\n',
						'.' + static.origin + '.' + static.flow + '{' + '\n',
						'  transform: translateY(' + ($('.' + static.signature).outerHeight() * -1) + 'px);' + '\n',
						'}' + '\n',
						'.' + static.signature + '{' + '\n',
						'  transform: none;' + '\n',
						'}' + '\n',
						'.' + static.spacing + '{' + '\n',
						'  padding-top: ' + $('.' + static.signature).outerHeight() + 'px;' + '\n',
						'}' + '\n',
						'@media screen and (max-width: ' + config.breakpoint + 'px){' + '\n',
						'  .' + static.origin + '{' + '\n',
						'    padding-top: 0;' + '\n',
						'  }' + '\n',
						'  .' + static.origin + '{' + '\n',
						'    transform: none;' + '\n',
						'  }' + '\n',
						'  .' + static.origin + '.' + static.flow + '{' + '\n',
						'    transform: none;' + '\n',
						'  }' + '\n',
						'  .' + static.signature + '{' + '\n',
						'    transform: translateY(0);' + '\n',
						'  }' + '\n',
						'  .' + static.origin + '.' + static.flow + ' ' + '.' + static.signature + '{' + '\n',
						'    transform: translateY(' + ($('.' + static.signature).outerHeight() * -1) + 'px);' + '\n',
						'  }' + '\n',
						'}' + '\n',
					].join('');
					$('#' + static.style).html(style);
				},
			};
		})();

		header.init();

		return(this);
	};

})(jQuery);
