/**
 * Materialike Script Menu Nav
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.menunav = function(options){
		var option = {
			child: 'ul',
			opener: '#container',
			overlay: '#container',
		};
		var static = {
			nav: 'menunav',
			close: 'menunav-switch-close',
			open: 'menunav-switch-open',
			opened: 'menunav-opened',
			overlay: 'menunav-overlay',
			overlayActive: 'menunav-overlay-active',
		};
		var config = $.extend(option, options);
		var inc = $(this);

		var menunav = (function(){
			return{
				init: function(){
					inc.addClass(static.nav);
						//.prepend('<div class="' + static.close + '"><div class="bar-wrap"><span class="bar" /><span class="bar" /></div></div>');
					$(config.opener).append('<div class="' + static.open + '" tabindex="0"><div class="bar-wrap"><span class="bar" /><span class="bar" /><span class="bar" /></div></div>');
					$(config.overlay).append('<div class="' + static.overlay + '" />');
					this.clip();
				},
				clip: function(){
					$('.' + static.open).bind('click', function(){
						$('.' + static.nav).addClass(static.opened);
						$('.' + static.overlay).addClass(static.overlayActive);
					});
					//$('.' + static.close).bind('click', function(){
					//	$('.' + static.nav).removeClass(static.opened);
					//	$('.' + static.overlay).removeClass(static.overlayActive);
					//});
					$('.' + static.overlay).bind('click', function(){
						$('.' + static.overlay).removeClass(static.overlayActive)
						$(config.overlay).find('.' + static.nav).removeClass(static.opened);
					});
				},
			};
		})();

		menunav.init();

		return(this);
	};

})(jQuery);

(function($){

	$.fn.subnav = function(options){
		var option = {
			child: 'ul',
		};
		var static = {
			nav: 'subnav',
			child: 'subnav-child',
			opened: 'subnav-opened',
			active: 'subnav-active',
		};
		var config = $.extend(option, options);
		var inc = $(this), st = null;

		var subnav = (function(){
			return{
				init: function(){
					inc.addClass(static.nav)
						.children(config.child).addClass(static.child);
					this.clip();
				},
				clip: function(){
					$('.' + static.nav).bind({
						'mouseenter': function(){
							push = $(this);
							subnav.set($(this), 'open');
						},
						'mouseleave': function(){
							subnav.set($(this), 'close');
						}
					});
					if('ontouchstart' in window){
						$('.' + static.nav).children('a').bind('click', function(e){
							e.preventDefault();
							if($(this).parent('.' + static.nav).hasClass(static.active) && $(this).attr('href') != '')
								location.href = $(this).attr('href');
						});
					}
				},
				set: function(target, mode){
					if(mode === 'open'){
						target.addClass(static.opened);
						st = setTimeout(function(){
							target.addClass(static.active);
						}, 200);
					}else{
						target.removeClass(static.opened)
							.removeClass(static.active);
						clearTimeout(st);
					}
				}
			};
		})();

		subnav.init();

		return(this);
	};

})(jQuery);
