/**
 * Materialike Script Menu Nav
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.mimicry = function(options){
		var option = {
			fileCaption: 'Select file',
		};
		var static = {
			inputName: 'mimicry-input',
			textareaName: 'mimicry-textarea',
			selectName: 'mimicry-select',
			checkName: 'mimicry-check',
			fileName: 'mimicry-file',
			decorate: 'decorate',
			labeled: 'labeled',
			named: 'named',
		};
		var config = $.extend(option, options);
		var inc = $(this), graphic;

		var mimicry = (function(){
			return{
				init: function(){
					inc.each(function(){
						if($(this).prop('tagName').toLowerCase() === 'select'){

							$(this).addClass(static.selectName);
							if($(this).attr('multiple') === undefined)
								$(this).after('<span class="' + static.selectName + '-' + static.decorate + '" />');

						}else if($(this).prop('tagName').toLowerCase() === 'textarea'){

							$(this).addClass(static.textareaName);

						}else if($(this).prop('tagName').toLowerCase() === 'input'){

							if($(this).attr('type') === 'radio' || $(this).attr('type') === 'checkbox'){

								$(this).css({'display': 'none'})
									.addClass(static.checkName);

								if( $(this).parent().prop('tagName').toLowerCase() !== 'label' )
									$(this).wrap('<label class="' + static.checkName + '-' + static.labeled + '" />');

								$(this).after('<span class="' + static.checkName + '-' + static.decorate + '" />');

							}else if($(this).attr('type') !== 'hidden' && $(this).attr('type') !== 'submit' && $(this).attr('type') !== 'button' && $(this).attr('type') !== 'reset' && $(this).attr('type') !== 'file'){

								$(this).wrap('<span class="' + static.inputName + '" />')
									.parent('.' + static.inputName).append('<span class="' + static.inputName + '-' + static.decorate + '" />');

							}else if($(this).attr('type') === 'file'){

								$(this).css({'display': 'none'})
									.wrap('<label class="' + static.fileName + '" tabindex="0" />')
									.after('<span class="' + static.fileName + '-' + static.named + '">' + config.fileCaption + '</span>')
									.after('<span class="' + static.fileName + '-' + static.decorate + '" />');

								mimicry.fileChange($(this));

							}
						}
					});
				},
				fileChange: function(target){
					target.bind('change', function(e){
						var file = e.target.files;
						if(e.target.files.length >= 1){
							$(this).siblings('.' + static.fileName + '-' + static.named).html(file[0].name);
						}else{
							$(this).siblings('.' + static.fileName + '-' + static.named).html(config.fileCaption);
						}
					});
				}
			};
		})();

		mimicry.init();

		return(this);
	};

})(jQuery);
