/**
 * Materialike Script Agent
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.parallax = function(options){
		var option = {
			object: '.parallax-object'
		};
		var static = {
			fixible: 'parallax-fixible',
			variable: 'parallax-variable'
		};
		var config = $.extend(option, options);
		var inc = $(this), win = $(window);
		var ua = window.navigator.userAgent.toLowerCase();
		var mregacy = false;

		var parallax = (function(){
			return{
				init: function(){
					inc.each(function(n){
						var image = $(this).find(config.object);
						if(image.data('src') !== '' && image.data('src') != undefined){
							image.append('<div class="parallax-overlay" />')
								.css({'backgroundImage': 'url(' + image.data('src') + ')'});
						}
						image.addClass(parallax.device() ? static.fixible : static.variable);
					});

					mregacy = this.regacyMobile();

					this.clip();
				},
				clip: function(){
					$(document).ready(function(){
						parallax.calc();
					});
					win.bind({
						'scroll': function(){
							parallax.calc();
						},
						'resize': function(e){
							parallax.calc();
						},
					});
				},
				calc: function(){
					var top = win.scrollTop();
					inc.each(function(n){
						var image = $(this).find(config.object),
						    pad = ( parseInt(image.css('paddingTop'), 10) + parseInt(image.css('paddingBottom')) ) / 2,
						    offset = $(this).offset().top,
							p = parallax.device() ? (offset - top) / 12 : (offset - top) / 12 * -1;

						if(p >= pad) p = pad;
						else if(p <= pad * -1) p = pad * -1;

						if(!parallax.ieCoping() && !mregacy)
							image.css({'transform': 'translateY(' + p + 'px)'});
					});
				},
				device: function(){
					if(ua.indexOf('windows') > -1 || ua.indexOf('macintosh') > -1)
						return true;
					else
						return false;
				},
				ieCoping: function(){
					if(ua.indexOf('ie') < 0 && ua.indexOf('trident') < 0)
						return false;
					else
						return true;
				},
				regacyMobile: function(){
					var ios = 10, android = 6;
					if(ua.indexOf('iphone os') > -1)
						ios = parseInt( ua.slice(ua.indexOf('iphone os') + 9, ua.indexOf('iphone os') + 12) );

					if(ua.indexOf('android') > -1)
						android = parseInt( ua.slice(ua.indexOf('android') + 8, ua.indexOf('android') + 11) );

					return ios <= 9 || android <= 5 ? true : false;
				}
			};
		})();

		parallax.init();

		return(this);
	};

})(jQuery);
