/**
 * Materialike Script Search Ask
 *
 * @package Materialike
 * @subpackage Materialike
 * @since Materialike
 */

(function($){

	$.fn.searchask = function(options){
		var option = {
			button: '.searchask-button',
			object: '.searchask-object',
			header: '#header',
			message: 'What would you like to search?',
			focusto: 'input[name="s"]',
		};
		var static = {
			flow: 'searchask-flow',
			opened: 'searchask-opened',
			origin: 'searchask-origin',
			button: 'searchask-static-button',
			object: 'searchask-static-object',
			message: 'searchask-message',
			overlay: 'searchask-overlay',
			overlayActive: 'searchask-overlay-active',
			style: 'searchask-style',
		};
		var config = $.extend(option, options);
		var inc = $(this), win = $(window), vector = 0, st = null;

		var searchask = (function(){
			return{
				init: function(){
					vector = win.scrollTop();

					inc.addClass(static.origin);

					$('.' + static.origin).prepend('<style type="text/css" id="' + static.style + '" />')
						.append('<div class="' + static.overlay + '" />');
					$('.' + static.origin).find(config.button).addClass(static.button);
					$('.' + static.origin).find(config.object).addClass(static.object)
						.prepend('<p class="' + static.message + '" />')
						.children('.' + static.message).html(config.message);

					this.style();
					this.clip();
				},
				clip: function(){
					win.bind({
						resize: function(){
							searchask.style();
						},
						scroll: function(){
							if(win.scrollTop() >= vector && win.scrollTop() > 0){
								$('.' + static.origin).addClass(static.flow);
							}else{
								$('.' + static.origin).removeClass(static.flow);
							}
							vector = win.scrollTop();
						},
					});
					$('.' + static.button).children('a').bind('click', function(){
						$(this).closest('.' + static.origin).addClass(static.opened);
						$(this).closest('.' + static.origin).find('.' + static.overlay).addClass(static.overlayActive);

						$(this).closest('.' + static.origin).find(config.focusto).focus();

						return false;
					})
					$('.' + static.overlay).bind('click', function(){
						$(this).removeClass(static.overlayActive);
						$(this).closest('.' + static.origin).removeClass(static.opened);
					})
				},
				style: function(){
					var style = [
						'\n',
						'.' + static.button + '{' + '\n',
						'  top: ' + $(config.header).outerHeight() + 'px;' + '\n',
						'}' + '\n',
						'.' + static.origin + '.' + static.button + '{' + '\n',
						'  transform: translateY(' + ($(config.header).outerHeight() * -1) + 'px);' + '\n',
						'}' + '\n',
						'.' + static.origin + '.' + static.flow + ' ' + '.' + static.button + '{' + '\n',
						'  transform: translateY(' + ($(config.header).outerHeight() * -1) + 'px);' + '\n',
						'}' + '\n',
					].join('');
					$('#' + static.style).html(style);
				},
			};
		})();

		searchask.init();

		return(this);
	};

})(jQuery);
